summaryrefslogtreecommitdiffstats
path: root/arch/3.5.13/trinity-extras/trinity-kpowersave
diff options
context:
space:
mode:
authorCalvin Morrison <calvin@boxi.(none)>2011-11-13 19:20:38 -0500
committerCalvin Morrison <calvin@boxi.(none)>2011-11-13 19:20:38 -0500
commit020bf83511bd20e1ab3ff699fbeecdb9a76bf525 (patch)
treea2da9d416c287146fe25a879f951bc970cced49c /arch/3.5.13/trinity-extras/trinity-kpowersave
parent508b91c3cece9b64fd257df69e4f3928c15ca518 (diff)
downloadtde-packaging-020bf83511bd20e1ab3ff699fbeecdb9a76bf525.tar.gz
tde-packaging-020bf83511bd20e1ab3ff699fbeecdb9a76bf525.zip
Added the 3.5.13 Release PKGBUILDs.
Diffstat (limited to 'arch/3.5.13/trinity-extras/trinity-kpowersave')
-rw-r--r--arch/3.5.13/trinity-extras/trinity-kpowersave/PKGBUILD68
-rw-r--r--arch/3.5.13/trinity-extras/trinity-kpowersave/kpowersave-inactivity.cpp.patch11
2 files changed, 79 insertions, 0 deletions
diff --git a/arch/3.5.13/trinity-extras/trinity-kpowersave/PKGBUILD b/arch/3.5.13/trinity-extras/trinity-kpowersave/PKGBUILD
new file mode 100644
index 000000000..566bb4d98
--- /dev/null
+++ b/arch/3.5.13/trinity-extras/trinity-kpowersave/PKGBUILD
@@ -0,0 +1,68 @@
+# $Id$
+# Maintainer: David C. Rankin <drankinatty@gmail.com>
+#
+# All modifications and uses of this file are licensed under
+# the software for which this file was made for, should the software
+# be under an Open Source License, at least version 1.9, defined
+# by the Open Source Initiative. In other cases, this file is automatically
+# released to the Public Domain.
+#
+
+pkgname=trinity-kpowersave
+pkgver=3513
+pkgrel=1
+arch=('i686' 'x86_64')
+url='http://www.trinitydesktop.org'
+license=('GPL')
+groups=('trinity-extras')
+pkgdesc="Trinity - kpowersave"
+depends=('xscreensaver'
+ 'libxss'
+ 'trinity-kdebase')
+makedepends=('pkgconfig' 'cmake' 'autoconf' 'imake')
+options=('libtool' '!strip')
+source=(http://mirror.its.uidaho.edu/pub/trinity/releases/3.5.13/applications/kpowersave-3.5.13.tar.gz)
+md5sums=('c887eb282fd035655b370f133ce58664')
+
+_svnmod=applications/kpowersave
+
+build() {
+
+ msg "Setting PATH, CMAKE and Trinity Environment variables"
+ export CMAKE_PREFIX_PATH=/opt/qt:/opt/trinity
+ export CMAKE_INCLUDE_PATH=/opt/qt/include:/opt/qt/include/tqt:/usr/include/dbus-1.0:/opt/trinity/include:/opt/trinity/include/libkrandr
+ export LD_LIBRARY_PATH=/opt/trinity/lib:/opt/trinity/lib/kde3:$LD_LIBRARY_PATH
+ export PKG_CONFIG_PATH=:/opt/trinity/lib/pkgconfig:/opt/qt/lib/pkgconfig
+
+ # patch for inactivity.cpp
+ # patch -p0 -i ${srcdir}/kpowersave-app-inactivity.cpp.patch || return 1
+
+ trinity_prefix="/opt/trinity"
+
+ cd $srcdir
+ msg "Creating out-of-source build directory: ${srcdir}/build"
+ mkdir -p build
+ cd build
+
+ msg "Starting cmake..."
+ cmake ${srcdir}/${_svnmod} \
+ -DCMAKE_INSTALL_PREFIX=${trinity_prefix} \
+ -DCMAKE_VERBOSE_MAKEFILE=ON \
+ -DQT_VERSION=3 \
+ -DWITH_QT3=ON \
+ -DQTDIR=/opt/qt \
+ -DQT_DOCDIR=/opt/qt/man \
+ -DQT_LIBRARY_DIRS=/opt/qt/lib \
+ -DBUILD_ALL=ON
+ make
+}
+
+package() {
+ msg "Packaging - $pkgname-$pkgver"
+# cd ${srcdir}/${_svnmod}
+ cd ${srcdir}/build
+
+ make DESTDIR="$pkgdir/" install
+
+# rm -r ${srcdir}/${_svnmod}
+}
diff --git a/arch/3.5.13/trinity-extras/trinity-kpowersave/kpowersave-inactivity.cpp.patch b/arch/3.5.13/trinity-extras/trinity-kpowersave/kpowersave-inactivity.cpp.patch
new file mode 100644
index 000000000..08645af32
--- /dev/null
+++ b/arch/3.5.13/trinity-extras/trinity-kpowersave/kpowersave-inactivity.cpp.patch
@@ -0,0 +1,11 @@
+--- kpowersave/src/inactivity.cpp
++++ kpowersave/src/inactivity.cpp 2011-03-12 18:40:52.000000000 -0600
+@@ -325,7 +325,7 @@
+ blacklisted_running = false;
+ }
+ else {
+- if (pids.contains(QRegExp::QRegExp("[0-9]"))) {
++ if (pids.contains(QRegExp("[0-9]"))) {
+ kdDebug() << "BLACKLISTED IS RUNNING" << endl;
+ blacklisted_running = true;
+ blacklisted_running_last = idleTime;